# Uses of Interface
org.w3c.tidy.Out

Packages that use Out
Package
Description
org.w3c.tidy

## Uses of Out in org.w3c.tidy

Classes in org.w3c.tidy that implement Out
Modifier and Type
Class
Description
`class`
`OutJavaImpl`
Output implementation using java writers.
Methods in org.w3c.tidy that return Out
Modifier and Type
Method
Description
`static Out`
OutFactory.`getOut(Configuration config, OutputStream stream)`
Returns the appropriate Out implementation.
`static Out`
OutFactory.`getOut(Configuration config, Writer writer)`
Returns the appropriate Out implementation.
Methods in org.w3c.tidy with parameters of type Out
Modifier and Type
Method
Description
`void`
PPrint.`condFlushLine(Out fout, int indent)`
`void`
PPrint.`flushLine(Out fout, int indent)`
`void`
PPrint.`printSlide(Out fout, short mode, int indent, Lexer lexer)`
Called from printTree to print the content of a slide from the node slidecontent.
`void`
PPrint.`printTree(Out fout, short mode, int indent, Lexer lexer, Node node)`
`void`
PPrint.`printXMLTree(Out fout, short mode, int indent, Lexer lexer, Node node)`